program blogclient;

{$mode objfpc}

uses
  BrowserApp, JS, Classes, SysUtils, Web,
  webrouter, dmserver, p2jsres,
  frmbase, frmindex, frmlogin, frmarticlelist, frmarticle;

type
  TMyApplication = class(TBrowserApplication)
  protected
    procedure DoRun; override;
  public
  end;

procedure TMyApplication.DoRun;

begin
  Router.InitHistory(hkHash);
  Server:=TServerModule.Create(Self);
  IndexForm:=TIndexForm.Create(Self);
  FormManager.FormParent:=IndexForm.divformparent.Element;
  TLoginForm.Register;
  TArticleListForm.Register;
  TArticleForm.Register;
  FormManager.InitRouting;
end;

var
  Application : TMyApplication;

begin
  SetResourceSource(rsJS);
  Application:=TMyApplication.Create(nil);
  Application.Initialize;
  Application.Run;
end.
