unit frmindex;

{$mode ObjFPC}

interface

uses
  SysUtils, Classes, Rtl.HTMLActions, htmlfragment;

type

  { TIndexForm }

  TIndexForm = class(THTMLFragment)
    divformparent: THTMLElementAction;
    lblUser: THTMLElementAction;
    mnuLogin: THTMLElementAction;
    mnuLogout: THTMLElementAction;
    mnuUser: THTMLElementAction;
    navbarburger: THTMLElementAction;
    navbarmain: THTMLElementAction;
    alForm: THTMLElementActionList;
  private

  public
    Procedure StartLogin(const aUserName : String);
  end;

var
  IndexForm: TIndexForm;

implementation

{$R *.lfm}

{ TIndexForm }

procedure TIndexForm.StartLogin(const aUserName: String);
begin
  mnuUser.RemoveClass('is-hidden');
  mnuLogout.removeClass('is-hidden');
  mnuLogin.AddClass('is-hidden');
  lblUser.Value:=aUserName;
end;

end.

